/*
	BMC固件更新流程
1、	调用prepareDevice(wp), 杀死除goahead以外的所有进程
2、	调用uploadFireware(wp), 开始上传固件到/var/www/goahead/tmp/tmp.uImage
3、	调用updateFlash(wp), updateFlash会新建一个进程来将tmp.uImage写到Flash里面去。
4、	循环调用getUpdateProgre(wp)，来获取Flash的更新进度，返回百分比。
5、  等到getUpdateProgress(wp)返回100%时，调用resetBmc(wp)，复位BMC让新固件生效。


*/

#ifndef __FW_UPDATE_H__
#define __FW_UPDATE_H__

#include "goahead.h"

void prepareDevice(Webs *wp);
void uploadFirmware(Webs *wp);
void updateFlash(Webs *wp);
void getUpdateProgress(Webs *wp);
void resetBmc(Webs *wp);

#endif /* __FW_UPDATE_H__ */